%define dist .fc6

Name:           perl-IO-Socket-INET6
Version:        2.51
Release:        2%{?dist}.XOS.1
Summary:        Perl Object interface for AF_INET|AF_INET6 domain sockets

Group:          Development/Libraries
License:        Artistic or GPL
URL:            http://search.cpan.org/~mondejar/IO-Socket-INET6/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MO/MONDEJAR/IO-Socket-INET6-2.51.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Socket6)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Perl Object interface for AF_INET|AF_INET6 domain sockets 

%prep
%setup -q -n IO-Socket-INET6-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


#%check
#make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 2.51-2.fc6.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on perl-IO-Socket-INET6-2.51-2.fc6.src.rpm
  (md5sum of original source rpm: b379eeb5c6bdc9d64527e3019bdcf6c2).
- Include "dist" macro with value ".fc6" to match the original release number.

* Thu Jul 06 2006 Warren Togami <wtogami@redhat.com> 2.51-2
- minor spec fixes (#197821)

* Thu Jul 06 2006 Warren Togami <wtogami@redhat.com> 2.51-1
- initial Fedora package
